【Zabbix】 glibc脆弱性チェックテンプレート~Ghostbusters~

glibcに脆弱性が見つかりました。
これに対応するシステム管理者の方にむけて、脆弱性対応済みパッケージがどうかを判定する、Zabbix用テンプレートを作成しました。

Zabbixには、パッケージ情報を取得するsystem.sw.packagesというアイテムがあります。

このアイテムによりglibcパッケージの情報を取得し、脆弱性対策済みバージョンのリストと比較し、リストに無いものであれば検知するテンプレートとなっています。

リンク先のサイトの情報を参考にRedhatdebian、CentOS、UbuntuAWS/AmazonLinuxSUSELinuxOracleLinux
に対応可能なテンプレートとなっています。

ゴーストバスターズテンプレート